 
import Param1.*;
import org.omg.CosNaming.*;
import org.omg.CORBA.*;
import java.io.*;

public class Client {
    public static void main(String args[]) {
        try {
            // create and initialize the ORB
            ORB orb = ORB.init(args, null);
 
            // get the root naming context
            org.omg.CORBA.Object objRef = orb.resolve_initial_references("NameService");
            NamingContext ncRef = NamingContextHelper.narrow(objRef);

            // resolve the Object Reference in Naming
            NameComponent nc = new NameComponent("Test", "");
            NameComponent path[] = {nc};
            Test testRef = TestHelper.narrow(ncRef.resolve(path));
   
            // prepare param passing
            BufferedReader stdin =
                  new BufferedReader(new InputStreamReader(System.in));
            String line;
            System.out.println("Number =");
            line = stdin.readLine();
            int i = Integer.parseInt(line);
            IntHolder ih = new IntHolder(i + 1);
            int[] intarray = new int[10];
            intarray[4] = 200;
            MyArrayHolder mah = new MyArrayHolder(intarray);
    
            // call the Test server object and print results
            String outstr = testRef.doSomething(i, ih, mah); 
            intarray = (int [])mah.value;
            System.out.println("inout int = " + ih.value);             
            System.out.println("inout intarray[4] = " + intarray[4]); 
            System.out.println("return string = " + outstr);  
        } 
        catch (Exception e) {
            System.out.println("ERROR : " + e) ;
            e.printStackTrace(System.out);
        }
    }
}

 






